Get Network Mapping
Get details about a configured network mapping for an SRM in a given pairing.
The ID of a pairing between this Site Recovery Manager server and remote one
The ID of the SRM instance to manage inventory mappings for
The ID of the mapping
Details about a network mappings for this SRM.
{
"id": "string",
"primary_object": "string",
"secondary_object": "string",
"primary_object_name": "string",
"secondary_object_name": "string",
"reverse_mapping_type": "string",
"reverse_recovery_object": "string",
"reverse_recovery_object_name": "string",
"test_network_mapping": {
"target_network": "string",
"test_network": "string",
"id": "string",
"test_network_name": "string"
},
"ip_mapping": {
"name": "string",
"rules": [
{
"name": "string",
"remote_subnet": "string",
"local_subnet": "string",
"remote_ip_settings": {
"ip_v4": {
"default_gateway": "string",
"alternate_gateway": "string"
},
"dns": {
"type": "string",
"preferred_server": "string",
"alternate_server": "string",
"suffixes": [
"string"
]
},
"wins": {
"primary_server": "string",
"alternate_server": "string"
}
}
}
]
},
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
]
}
}
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -H 'Authorization: <value>' https://{api_host}/pairings/{pairing_id}/srms/{srm_id}/inventory-mappings/networks/{mapping_id}